GOOBOX(1)

NAME
goobox — graphical CD player and ripper for GNOME

SYNOPSIS

goobox [OPTION] [...]

DESCRIPTION

goobox is an easy-to-use graphical CD player and ripper for GNOME 3 desktop environment. It can play CDs, rip them (i.e. save them to files) and display album cover images for them.

It uses the GStreamer framework to rip and play the CD and musicbrainz to index the CD.

OPTIONS

Application Options:

--eject
    Eject the CD

--next
    Play the next track.

--play
    Play the CD on startup.

--previous
    Play the previous track.

--quit
    Quit the application.

--stop
    Stop playing

-d --device=DEVICE_PATH
    CD device to be used.

--display=DISPLAY
    X display to use.

-v --version
    Show version of program.

--toggle-play
    Toggle play

--toggle-visibility
    Toggle the main window visibility

Help Options:

-h --help
    Show help options.

--help-all
    Show all help options.

--help-gst
    Show GStreamer options.

--help-gtk
    Show GTK+ options.

GStreamer Options:

--gst-version
    Show the GStreamer version.

--gst-fatal-warnings
    Make all warnings fatal.

--gst-debug-help
    Show available debug categories and exit.

--gst-debug-level=LEVEL
    Default debug level from 1 (only error) to 9 (anything) or 0 for no output.

--gst-debug=LIST
    Comma-separated list of category_name:level pairs to set specific levels for the individual categories. Example: GST_AUTOPLUG:5,GST_ELEMENT_*:3.

--gst-debug-no-color
    Disable colored debugging output.

--gst-debug-color-mode
    Changes coloring mode of the debug log. Possible modes: off, on, disable, auto, unix

--gst-debug-disable
    Disable debugging.

--gst-plugin-spew
    Enable verbose plugin loading diagnostics.

--gst-plugin-path=PATHS
    Colon-separated paths containing plugins.

--gst-plugin-load=PLUGINS
    Comma-separated list of plugins to preload in addition to the list stored in environment variable GST_PLUGIN_PATH.

--gst-disable-segtrap
    Disable trapping of segmentation faults during plugin loading.

--gst-disable-registry-update
    Disable updating the registry.

--gst-disable-registry-fork
    Disable the use of fork() while scanning the registry.

GTK+ Options:

--class=CLASS
    Program class as used by the window manager.

--name=NAME
    Program name as used by the window manager.

--gtk-module=MODULES
    Load additional GTK+ modules.

--gdk-debug=FLAGS
    GDK debugging flags to set

--gdk-no-debug=FLAGS
    GDK debugging flags to unset

--gtk-debug=FLAGS
    GTK+ debugging flags to set

--gtk-no-debug=FLAGS
    GTK+ debugging flags to unset

--g-fatal-warnings
    Make all warnings fatal.

SEE ALSO

sound-juicer(1)

AUTHOR

This manual page was written by Dan Korostelev dan@ats.energo.ru for the Debian system (but may be used by others). It was later updated by Helge Kreutzmann debian@helgefjell.de. Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 or any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.